This is a Laravel 5 package that provides asa management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `asas/asa`.

    "asas/asa": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Asas\Asa\Providers\AsaServiceProvider::class,

```

And also add it to alias

```php
'Asa'  => Asas\Asa\Facades\Asa::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Asas\Asa\Providers\AsaServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Asas\Asa\Providers\AsaServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Asas\Asa\Providers\AsaServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Asas\Asa\Providers\AsaServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Asas\Asa\Providers\AsaServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Asas\Asa\Providers\AsaServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


